import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (l, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, p = l.length - 1, i; p >= 0; p--)
    (i = l[p]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && g(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--swapLarge", this.class = "c-pieIcon c-pieIcon--swapLarge", this.name = "IconSwapLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--swapLarge"><path d="M21.351 16.984 25.43 21H13.835v1.75H25.36l-4.008 4.016L22.585 28l4.935-4.926a1.75 1.75 0 0 0 0-2.398l-4.935-4.926z"></path><path d="M10.639 5.234 6.56 9.25h11.594V11H6.631l4.008 4.016-1.234 1.234-4.935-4.926a1.75 1.75 0 0 1 0-2.398L9.405 4z"></path></svg>`;
  }
};
a([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  f("icon-swap-large")
], s);
export {
  s as IconSwapLarge
};
